<form #f1="ngForm">
    <div class="row">
        <div class="col-12" style="margin-top: 10%;">
            <table align="center" class="table" border="2" style="width: 40%;height:20vh;">
                <tr>
                    <th>Income source : </th>
                    <th><input type="text"  [(ngModel)]="txt_source" class="form-control" name="txt_source" #t1="ngModel" required>
                        <p *ngIf="t1.touched && t1.invalid"  appMyvalidation></p>
                    </th>
                </tr>
                <tr>
                    <th>Amount :</th>
                    <th><input type="number" name="txt_amount" [(ngModel)]="txt_amount"  class="form-control" #t2="ngModel" required min="10">
                        <p *ngIf="t2.touched && t2.invalid"  appMyvalidation></p>
                        <p *ngIf="txt_amount<10" appMyvalidation>Amount should be grater than 10 rupess atleast</p>

                    </th>
                    
                 </tr>
                 <tr align="center">
                    <th  colspan="2" >
                        <button  class="btn btn-primary mybutton"  
                        (click)="save(f1)" [disabled]="f1.invalid " 
                        >Save</button>
    
                    </th>
                 </tr>
            </table>
        </div>
    </div>
</form>
